<?php

namespace App\Models\Shop;

use Illuminate\Database\Eloquent\Model;
use Staudenmeir\EloquentHasManyDeep\HasRelationships;

class Shelve extends Model
{
    use HasRelationships;

    protected $guarded = ['id'];
    protected $table = 'categories';
    
    public function articles()
    {
        return $this->hasMany(Article::class);
    }

    public function prices()
    {
        return $this->hasMany(Price::class);
    }

    public function packages()
    {
        return $this->hasMany(Package::class);
    }
}
